function _tagged_template_literal(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject() {
    var data = _tagged_template_literal([
        "\n                --plasma-spinner-size: 16px;\n            "
    ]);
    _templateObject = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1() {
    var data = _tagged_template_literal([
        "\n                --plasma-spinner-size: 24px;\n            "
    ]);
    _templateObject1 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2() {
    var data = _tagged_template_literal([
        "\n                --plasma-spinner-size: 36px;\n            "
    ]);
    _templateObject2 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3() {
    var data = _tagged_template_literal([
        "\n                --plasma-spinner-color: var(--text-primary);\n            "
    ]);
    _templateObject3 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4() {
    var data = _tagged_template_literal([
        "\n                --plasma-spinner-color: var(--text-primary);\n            "
    ]);
    _templateObject4 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject5() {
    var data = _tagged_template_literal([
        "\n                --plasma-spinner-color: var(--text-secondary);\n            "
    ]);
    _templateObject5 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject6() {
    var data = _tagged_template_literal([
        "\n                --plasma-spinner-color: var(--text-tertiary);\n            "
    ]);
    _templateObject6 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject7() {
    var data = _tagged_template_literal([
        "\n                --plasma-spinner-color: var(--text-paragraph);\n            "
    ]);
    _templateObject7 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject8() {
    var data = _tagged_template_literal([
        "\n                --plasma-spinner-color: var(--text-accent);\n            "
    ]);
    _templateObject8 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject9() {
    var data = _tagged_template_literal([
        "\n                --plasma-spinner-color: var(--text-positive);\n            "
    ]);
    _templateObject9 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject10() {
    var data = _tagged_template_literal([
        "\n                --plasma-spinner-color: var(--text-warning);\n            "
    ]);
    _templateObject10 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject11() {
    var data = _tagged_template_literal([
        "\n                --plasma-spinner-color: var(--text-negative);\n            "
    ]);
    _templateObject11 = function _templateObject() {
        return data;
    };
    return data;
}
import { css } from '@salutejs/plasma-new-hope/styled-components';
export var config = {
    defaults: {
        view: 'accent',
        size: 'm'
    },
    variations: {
        size: {
            s: css(_templateObject()),
            m: css(_templateObject1()),
            l: css(_templateObject2())
        },
        view: {
            default: css(_templateObject3()),
            /**
             * @deprecated
             * использовать `default`
             */ primary: css(_templateObject4()),
            secondary: css(_templateObject5()),
            tertiary: css(_templateObject6()),
            paragraph: css(_templateObject7()),
            accent: css(_templateObject8()),
            positive: css(_templateObject9()),
            warning: css(_templateObject10()),
            negative: css(_templateObject11())
        }
    }
};
